<?php
/**
 * Sidebar styles
 *
 * @package A19
 * @since 1.0.0
 */

/**
 * Generate CSS for the sidebar.
 */
function a19_sidebar_css() {

	$theme_css = '
		/* same as .entry */
		.sidebar .widget {
		  margin: calc(3 * 1rem) 1rem 1rem;
		  position: relative;
		}

		/* same as .entry */
		@media only screen and (min-width: 768px) {
		  .sidebar .widget {
			margin: calc(3 * 1rem) calc(10% + 60px) 1rem;
		  }
		}

		/* content - sidebar */
		@media only screen and (min-width: 1168px) {
			#primary.content-area {
				float: left;
				margin-right: -100%;
				width: 70%;
			}
	
			#secondary.sidebar {
				float: left;
				margin-left: 65%;
				padding: 0;
				width: 35%;
			}
		}';

	return $theme_css;
}
